Package com.sap.ai.sdk.core.client

# Class ExecutableApi

java.lang.Object
com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
com.sap.ai.sdk.core.client.ExecutableApi

public class ExecutableApi extends com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
AI Core in version 2.42.0.

Provides tools to manage your scenarios and workflows in SAP AI Core. Execute pipelines as a batch job, for example to pre-process or train your models, or perform batch inference. Serve inference requests of trained models. Deploy а trained machine learning model as a web service to serve inference requests with high performance. Register your own Docker registry, synchronize your AI content from your own git repository, and register your own object store for training data and trained models.

- ## Field Summary

  ### Fields inherited from class com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi

  `apiClient, defaultHeaders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutableApi()`
  Instantiates this API class to invoke operations on the AI Core
  `ExecutableApi(AiCoreService aiCoreService)`
  Instantiates this API class to invoke operations on the AI Core

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AiExecutable`
  `get(String scenarioId, String executableId, String aiResourceGroup)`
  Get details about specific executable
  `AiExecutableList`
  `query(String scenarioId, String aiResourceGroup)`
  Get list of executables
  `AiExecutableList`
  `query(String scenarioId, String aiResourceGroup, String versionId)`
  Get list of executables
  `ExecutableApi`
  `withDefaultHeaders(Map<String,String> defaultHeaders)`
  Creates a new API instance with additional default headers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExecutableApi

    public ExecutableApi()
    Instantiates this API class to invoke operations on the AI Core

  - ### ExecutableApi

    public ExecutableApi(@Nonnull AiCoreService aiCoreService)
    Instantiates this API class to invoke operations on the AI Core
    Parameters:
      `aiCoreService` - The configured connectivity instance to AI Core

- ## Method Details

  - ### withDefaultHeaders

    public ExecutableApi withDefaultHeaders(@Nonnull Map<String,String> defaultHeaders)
    Creates a new API instance with additional default headers.
    Parameters:
      `defaultHeaders` - Additional headers to include in all requests
    Returns:
      A new API instance with the combined headers

  - ### get

    @Nonnull public AiExecutable get(@Nonnull String scenarioId, @Nonnull String executableId, @Nonnull String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get details about specific executable

    Retrieve details about an executable identified by executableId belonging to a scenario identified by scenarioId.

    200 - An Executable

    400 - The specification of the resource was incorrect

    404 - The specified resource was not found

    Parameters:
      `scenarioId` - Scenario identifier
      `executableId` - Executable identifier
      `aiResourceGroup` - Specify a resource group id
    Returns:
      AiExecutable
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### query

    @Nonnull public AiExecutableList query(@Nonnull String scenarioId, @Nonnull String aiResourceGroup, @Nullable String versionId) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get list of executables

    Retrieve a list of executables for a scenario. Filter by version ID, if required.

    200 - A list of executables

    400 - The specification of the resource was incorrect

    Parameters:
      `scenarioId` - (required) Scenario identifier
      `aiResourceGroup` - (required) Specify a resource group id
      `versionId` - (optional) Version ID, if defined - returns the specified version
    Returns:
      AiExecutableList
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### query

    @Nonnull public AiExecutableList query(@Nonnull String scenarioId, @Nonnull String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get list of executables

    Retrieve a list of executables for a scenario. Filter by version ID, if required.

    200 - A list of executables

    400 - The specification of the resource was incorrect

    Parameters:
      `scenarioId` - Scenario identifier
      `aiResourceGroup` - Specify a resource group id
    Returns:
      AiExecutableList
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API